package com.fjs.scenic.service.user;

import java.util.List;

import com.fjs.scenic.entity.user.LinkMan;
import com.fjs.scenic.utils.ReturnResult;

public interface LinkManService {
	int deleteByPrimaryKey(Integer id);

    int insert(LinkMan record);

    int insertSelective(LinkMan record);

    LinkMan selectByPrimaryKey(Integer id);

    int update(LinkMan record);

    int updateByPrimaryKey(LinkMan record);
    
    List<LinkMan> select(LinkMan record);
    
    int delete(LinkMan record);
    
    ReturnResult delete180(Integer id);
    
    int updateByParam(String param); 
    
    public List<LinkMan> selectByParam(String field,String param);

	ReturnResult addLinkMan(LinkMan linkMan);
}
